[Script] DynDns Pflicht Login

  • Du hast das Script bestimmt per WinSCP hochgeladen?
    Vielleicht funktioniert es, wenn du es dort mit dem integrierten Editor aufmachst und den Inhalt nochmal neu reinkopierst.

  • ich habe es mit Filezilla hochgeladen, ich habe es auch schon mit Filzilla geöffnet und mehrmals neu rein kopiert, es öffnet sich ja sofort bei mir PSPad oder wenn ich möchte auch BeCyPad


    Au man ich habe soetwas noch nie gehabt, ging doch immer mit beiden Editoren und auch kopierten Code aus Foren... :(

  • Liegt definitiv an den Zeilenumbrüchen


    habe es mir dem Editor aus dem MC repariert danach lief es einwandfrei

  • "dr_mike" schrieb:

    Dann hier das Ganze als Datei zum Herunterladen.


    vielen Dank... aber leider war es das nicht...
    Es liegt nicht am Editor und den Zeilenumbrüchen, die neue Datei erzeugt den gleichen Fehler... es muss was ganz anderes sein wenn es bei anderen geht und bei mir nicht

  • "tokon" schrieb:

    Frage:
    /tmp, also wo der Cookie gespeichert wird, ist das auf der HDD?


    Nein, /tmp ist im RAM. Das Cookie ist nach einem Neustart wieder weg.
    Was ist der Grund für die Frage?


    "moonsorrox" schrieb:

    die neue Datei erzeugt den gleichen Fehler...


    Welchen der beiden Fehler? ;)

  • Hey, cool! Funktioniert ja prächtig! Ich glaube, ich behalte meinen DynDNS-Account doch noch 'ne Weile ... oder vielleicht auch nicht, mal sehen.


    @ moonsorrox: Ausführbar gemacht hast Du die Datei aber (chmod +x dyndnslogin.sh)?


    @ dr_mike: Was müsste man denn anpassen, um auch erfolgreiche Logins in das Sys-Protokoll (dem im WebIF) zu schreiben?

  • "dr_mike" schrieb:

    /sbin/write_log "DynDNS failed to login" 2


    Das ist der alte Befehl für die Logs,
    der neue (log_tool) hat ein paar mehr Optionen.


    Code
    1. /sbin/log_tool --append "DynDNS failed to login" --type 0


  • @ dr_mike:
    Zu früh gefreut, Irgendetwas passt da nicht. Bekomme folgenden Fehler in der Console (und keinen Eintrag im WebIf-Log)

    Code
    1. ./dynlogin.sh: line 47: syntax error near unexpected token `||'
    2. ./dynlogin.sh: line 47: ` || { echo >&2 "Login failed" ; /sbin/write_log "DynDNS failed to login" 2;exit 1 ; }'


    @ Eraser-EMC2-:
    Das Eintrage ansich funktioniert damit aber.

  • "Eraser-EMC2-" schrieb:

    Das ist der alte Befehl für die Logs,


    Ich weiss und ich hoffe den gibts noch ne Weile - kurz, prägnant und tut was er soll ;)


    "SaschaBr" schrieb:

    Zu früh gefreut,


    Sorry, war ein Schnellschuss - Klammern vergessen. Habs geändert.


    Code
    1. ....
    2. && { echo "Login successful" ; /sbin/write_log "DynDNS login successful" 4 ; } \
    3. || { echo >&2 "Login failed" ; /sbin/write_log "DynDNS failed to login" 2;exit 1 ; }
    4. ....


    So sollte es jetzt gehen.

  • "dr_mike" schrieb:


    Nein, /tmp ist im RAM. Das Cookie ist nach einem Neustart wieder weg.
    Was ist der Grund für die Frage?


    Dachte nur wegen den Anzahl Schreibvorgängen.


    Bastle gerade schon an einem anderen Script für einen ähnlichen Zweck, das müsste ich aber öfters (täglich) laufen lassen.

  • "moonsorrox" schrieb:

    die neue Datei erzeugt den gleichen Fehler...


    Zitat

    Welchen der beiden Fehler? ;)


    wieder der erste.. den ich am Anfang hatte

    Code
    1. [/share/HDA_DATA] # ./dyndnslogin.sh
    2. -sh: ./dyndnslogin.sh: /bin/sh^M: bad interpreter: No such file or directory
    3. [/share/HDA_DATA] #
  • OK.. du wirst da wohl besser wissen was falsch läuft... aber was kann ich denn machen.
    Ich habe bisher noch nie diese Probleme gehabt wenn ich mit Linux etwas gemacht habe...


    Woran liegt das..? ist ja nicht das erste mal das ich mit meinen Editoren arbeite, aber ich weiß nun überhaupt nicht weiter :(